CREATE TABLE cz_models (
    MODEL_ID                 NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    NAME                     VARCHAR2(1020)    NOT NULL,
    PIM_ITEM_KEY             VARCHAR2(200) ,
    DELETED_FLAG             NUMBER(18, 0)     NOT NULL,
    DESCRIPTION              VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    MODEL_ID                 NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    NAME                     VARCHAR2(1020)    NOT NULL,
    PIM_ITEM_KEY             VARCHAR2(200) ,
    DELETED_FLAG             NUMBER(18, 0)     NOT NULL,
    DESCRIPTION              VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_cz_models PRIMARY KEY (MODEL_ID, MODEL_ID)
);
